org.keycloak.authorization.client.util

## Class HttpMethod<R>

- java.lang.Object
- - org.keycloak.authorization.client.util.HttpMethod<R>

-     public class HttpMethod<R>
      extends Object

  Author:
    Pedro Igor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.http.client.methods.RequestBuilder` | `builder`
    `protected Configuration` | `configuration`
    `protected Map<String,String>` | `headers`
    `protected Map<String,List<String>>` | `params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpMethod(Configuration configuration, ClientAuthenticator authenticator, org.apache.http.client.methods.RequestBuilder builder)`
    `HttpMethod(Configuration configuration, ClientAuthenticator authenticator, org.apache.http.client.methods.RequestBuilder builder, Map<String,List<String>> params, Map<String,String> headers)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpMethodAuthenticator<R>` | `authentication()`
    `HttpMethod<R>` | `authorizationBearer(String bearer)`
    `void` | `execute()`
    `R` | `execute(HttpResponseProcessor<R> responseProcessor)`
    `HttpMethod<R>` | `form()`
    `HttpMethod<R>` | `json(byte[] entity)`
    `HttpMethod<R>` | `param(String name, String value)`
    `HttpMethod<R>` | `params(String name, String value)`
    `protected void` | `preExecute(org.apache.http.client.methods.RequestBuilder builder)`
    `HttpMethodResponse<R>` | `response()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### builder

          protected final org.apache.http.client.methods.RequestBuilder builder

    - #### configuration

          protected final Configuration configuration

    - #### headers

          protected final Map<String,String> headers

    - #### params

          protected final Map<String,List<String>> params

  - ### Constructor Detail

    - #### HttpMethod

          public HttpMethod(Configuration configuration,
                            ClientAuthenticator authenticator,
                            org.apache.http.client.methods.RequestBuilder builder)

    - #### HttpMethod

          public HttpMethod(Configuration configuration,
                            ClientAuthenticator authenticator,
                            org.apache.http.client.methods.RequestBuilder builder,
                            Map<String,List<String>> params,
                            Map<String,String> headers)

  - ### Method Detail

    - #### execute

          public void execute()

    - #### execute

          public R execute(HttpResponseProcessor<R> responseProcessor)

    - #### preExecute

          protected void preExecute(org.apache.http.client.methods.RequestBuilder builder)

    - #### authorizationBearer

          public HttpMethod<R> authorizationBearer(String bearer)

    - #### response

          public HttpMethodResponse<R> response()

    - #### authentication

          public HttpMethodAuthenticator<R> authentication()

    - #### param

          public HttpMethod<R> param(String name,
                                     String value)

    - #### params

          public HttpMethod<R> params(String name,
                                      String value)

    - #### json

          public HttpMethod<R> json(byte[] entity)

    - #### form

          public HttpMethod<R> form()

Copyright © 2020 JBoss by Red Hat. All rights reserved.